/* Test Program for AUSPICE-R
 * Author: Jiaqi Tan <tanjiaqi@cmu.edu>
 * Copyright (c) 2016 Jiaqi Tan
 * 15 June 2016
 * 
 * The AUSPICE-R Test Programs are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 *
 */

#include <swi_functions.h>
#include <rpi_defines.h>
#include <rpi.h>

#define PIN 7

int main (void) {
  int i;
  i = 0;

  if (setup_piModel1_rev2() < 0) return(-1);

  pinMode (PIN, OUTPUT);
	
#ifdef VERBOSE
  c_write(STDOUT_FILENO, "before digitalwrite\n",20);
#endif
  while (i < 10) {
#ifdef VERBOSE
    c_write(STDOUT_FILENO,"...\n",4); 
#endif
    digitalWrite (PIN, LOW); 
#ifdef VERBOSE
    c_write(STDOUT_FILENO, "off \n",5); 
#endif
    delay (250);
    digitalWrite (PIN, HIGH); 
#ifdef VERBOSE
    c_write(STDOUT_FILENO, "on \n",4); 
#endif
delay (250);
    i++;
  }
  digitalWrite (PIN, LOW); 

#ifdef VERBOSE
  c_write(STDOUT_FILENO,"out of digitalwrite\n",20);
#endif

  return(0);
}
