/* Test Program for AUSPICE-R
 * Author: Jiaqi Tan <tanjiaqi@cmu.edu>
 * Copyright (c) 2016 Jiaqi Tan
 * 15 June 2016
 * 
 * The AUSPICE-R Test Programs are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 *
 */

#include <swi_functions.h>
#include <rpi_defines.h>
#include <rpi.h>
#include <lcd.h>

int main() {
  int fd;

  if (setup_piModel1_rev2() < 0) {
    c_write(1,"error with wiringPiSetup!\n", 26);
    return(-1);
  }

  fd = lcdInit (2, 16, 4, 6, 5, 4,0,29,3,0,0,0,0);

  lcdClear(fd);
  lcdPuts(fd, "  Hello World    (Safe Version)");

  return(0);
}
