/* Test Program for AUSPICE-R
 * Authors: Jiaqi Tan <tanjiaqi@cmu.edu>, Hui Jun Tay <htay@andrew.cmu.edu>
 * Copyright (c) 2016 Jiaqi Tan, Hui Jun Tay
 * 15 June 2016
 * 
 * The AUSPICE-R Test Programs are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 *
 */

#define SPI_OUT 12
#define SPI_IN 13
#define SPI_CLK 14
#define CS 10

unsigned char regArray[6];

void writeRegister(char registerAddress, int value);
int readRegister(char registerAddress);
void writeBatchRegister(char registerAddress, char* valuePtr, int length);
int readBatchRegister(char registerAddress, int length);
int initSPI();
