# RPIDIR must be defined by whoever is including this file

SOURCES_RPI_SAFE = $(RPI_DIR)/rpi_safe.c 
SOURCES_RPI_SAFE += $(RPI_DIR)/lcd_safe3.c

OBJ_RPI_SAFE = rpi_safe.o
OBJ_RPI_SAFE += lcd_safe3.o

CFLAGS= -g -static -fno-exceptions -fno-unwind-tables -fno-asynchronous-unwind-tables -I$(RPI_DIR)

rpi_safe.o: $(RPI_DIR)/rpi_safe.c
	gcc -g -O0 -c -o $@ $< $(CFLAGS) $(EXTRA_CFLAGS) -DSAFETY

lcd_safe3.o: $(RPI_DIR)/lcd_safe3.c
	gcc -g -O0 -c -o $@ $< $(CFLAGS) $(EXTRA_CFLAGS) -DSAFETY
