/* Test Program for AUSPICE-R
 * Author: Jiaqi Tan <tanjiaqi@cmu.edu>
 * Copyright (c) 2016 Jiaqi Tan
 * 15 June 2016
 * 
 * The AUSPICE-R Test Programs are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 *
 */

/* returns first occurrence of needle in haystack
 * returns -1 if not found
 */
int strpos(char *haystack, int maxbuflen, char *needle, int needle_len)
{
  int i, j, curr_needle_pos;
  int found = -1, last_start_pos;

  curr_needle_pos = 0;
  for (i = 0; i < maxbuflen; i++) {
    if (needle[curr_needle_pos] == haystack[i]) {
      if (curr_needle_pos == 0) last_start_pos = i;
      curr_needle_pos++; // advance if matching
    } else {
      last_start_pos = -1;
      curr_needle_pos = 0; // reset if not found
    }
    if (curr_needle_pos == needle_len) {
      found = last_start_pos;
    }
  }
  return(found);
}
