/* Test Program for AUSPICE-R
 * Author: Jiaqi Tan <tanjiaqi@cmu.edu>
 * Copyright (c) 2016 Jiaqi Tan
 * 15 June 2016
 * 
 * The AUSPICE-R Test Programs are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 *
 */

#include <swi_functions.h>

#define MAX 255
char curr_line[MAX+1];

int main(int argc, char **argv)
{
  char *filename;
  int fd, chars_read;
  int i;

  if (argc >= 2) {
    filename = argv[1];
    fd = c_open(filename, O_RDONLY);
  } else {
	  fd = STDIN_FILENO;
  }

  do {
    chars_read = read_line(fd, curr_line, MAX);
    if (chars_read <= 0) break;
    c_write(STDOUT_FILENO, curr_line, chars_read);
  } while (1);

  c_exit(0);
}
