/* Test Program for AUSPICE-R
 * Author: Jiaqi Tan <tanjiaqi@cmu.edu>
 * Copyright (c) 2016 Jiaqi Tan
 * 15 June 2016
 * 
 * The AUSPICE-R Test Programs are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 *
 */

extern int main(int argc, char **argv);

typedef unsigned int uintptr_t;

__attribute__((visibility("hidden")))
void my_start() {
  int argc;
  char **argv; //, **envp;
  uintptr_t *elfdata;

  elfdata = __builtin_frame_address(0) + sizeof(void *);

  // from __libc_init_common()
  argc = (int) *elfdata;
  argv = (char**)(elfdata + 1);
  // envp = argv + argc + 1;

  main(argc, argv);
}
